#include<fstream>
using namespace std;
int shh(int a)
{
	int u=1;
	float t=a/2;
	for(int i=2;i<=t;i++)
	{
		if(a%i==0)
		{
			u+=i;
		}
	}
	return u;
}
int main()
{
	int n,a;
	ifstream fi("dayso.inp");
	ofstream fo("SOHH.out");
	fi>>n;
	for(int i=0;i<n;i++)
	{
		fi>>a;
		if(a==shh(a))
		{
			fo<<a<<endl;
		}
	}
	
	fi.close();
	fo.close();
}
